package mojo;

import index.build.IndexBuilder;

import org.apache.maven.plugin.AbstractMojo;
import org.apache.maven.plugin.MojoExecutionException;

import parse.ConfigXMLParser;
import parse.LuceneConfiguration;
import source.file.FileSourceReader;

/**
 * @goal createIndex
 */
public class IndexBuilderMojo extends AbstractMojo {

    public void execute() throws MojoExecutionException {

        ConfigXMLParser configXMLParser = new ConfigXMLParser();
        LuceneConfiguration luceneConfiguration = configXMLParser.parse();

        IndexBuilder indexBuilder = new IndexBuilder(luceneConfiguration);
        indexBuilder.setSourceReader(new FileSourceReader(luceneConfiguration.getSourceFileLocation()));
        indexBuilder.buildIndex();

    }
}
