package mojo;

import java.io.IOException;

import org.apache.maven.plugin.AbstractMojo;
import org.apache.maven.plugin.MojoExecutionException;

import parse.ConfigXMLParser;
import parse.LuceneConfiguration;

/**
 * @goal viewIndex
 */
public class IndexViewerMojo extends AbstractMojo {

    public static void main(String[] args) throws MojoExecutionException {
        new IndexViewerMojo().execute();
    }

    public void execute() throws MojoExecutionException {

        try {
            ConfigXMLParser configXMLParser = new ConfigXMLParser();
            LuceneConfiguration luceneConfiguration = configXMLParser.parse();
            Runtime runtime = Runtime.getRuntime();
            Process process = runtime.exec("java -jar lukeall.jar -index " + luceneConfiguration.getIndexLocation());
            try {
                process.waitFor();
            } catch (InterruptedException e1) {
                e1.printStackTrace();
            }
            System.out.println("****************Exit Value**************" + process.exitValue());
            try {
                Thread.sleep(5000);
            } catch (InterruptedException e) {
                System.out.println("Waiting for index to open");
            }
        } catch (IOException e) {
            System.out.println("Error opening index");
        }

        System.out.println("*********************Viewing Index******************");

    }

}
