package source.file;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

import org.apache.commons.io.IOUtils;

import value.Row;

public class FileSourceReader implements SourceReader<Row> {

    private Iterator<String> lineIterator;
    private List<String> headers;
    private String separator;

    @SuppressWarnings("unchecked")
    public FileSourceReader(File sourceFileLocation) {
        try {
            lineIterator = IOUtils.readLines(new FileInputStream(sourceFileLocation)).iterator();
        } catch (FileNotFoundException e) {
            System.out.println("********Source File Not Found************");
        } catch (IOException e) {
            System.out.println("********IO Exception********************");
        }
        headers = Arrays.asList(lineIterator.next().split(";"));
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean hasNext() {
        return lineIterator.hasNext();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row next() {
        String line = lineIterator.next();
        return new Row(line, headers, separator);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void remove() {
    }

    @Override
    public void setSeparator(String separator) {
        this.separator  = separator;
    }

}
